#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int t;
    cin >> t;
    while(t--){
        int n, m;
        cin >> n >> m;
        if(n == m){
            for(int j = 0;j < m;j++) cout << 1 << ' ';
            cout << '\n';
            for(int i = 1;i < n-1;i++){
                cout << 1 << ' ';
                for(int j = 1;j < m-i;j++) cout << 0 << ' ';
                for(int j = m-i;j < m;j++) cout << 1 << ' ';
                cout << '\n';
            }
            for(int j = 0;j < m;j++) cout << 1 << ' ';
            cout << '\n';
        }
        else cout << -1;
        cout << '\n';
    }
    return 0;
}